<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: models/ontologies.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: models/ontologies.js</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>/**
 * Ontology properties ranges
 *
 * @module models
 */
const Sequelize = require("sequelize");

const sequelize = require("../db");

/**
 * @namespace ontologies
 */

/**
 * Creates sequelize ontology model
 *
 * @function
 * @name Ontologies
 * @memberof module:models~ontologies
 * @inner
 * @const
 */
const Ontologies = sequelize.define(
  "ontologies",
  {
    storage_code: {
      type: Sequelize.INTEGER(255),
      allowNull: false,
      primaryKey: true,
    },
    URL: {
      type: Sequelize.STRING(500),
      allowNull: false,
    },
    IRI: {
      type: Sequelize.STRING(500),
      allowNull: false,
    },
    resource: {
      type: Sequelize.STRING(255),
      allowNull: false,
    },
    classes: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    classesAPIimport: {
      type: Sequelize.INTEGER(11),
      allowNull: true,
      defaultValue: null,
    },
    object_properties: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    object_propertiesAPIimport: {
      type: Sequelize.INTEGER(11),
      allowNull: true,
      defaultValue: null,
    },
    datatype_properties: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    datatype_propertiesAPIimport: {
      type: Sequelize.INTEGER(11),
      allowNull: true,
      defaultValue: null,
    },
    domainAnonymous: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    domainClass: {
      type: Sequelize.INTEGER(11),
      allowNull: true,
      defaultValue: -1,
    },
    maxClassInHierarchy: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    avgClassInHierarchy: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    rangeAnonymous: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    rangeClass: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    maxRangeClassInHierarchy: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    avgRangeClassInHierarchy: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    classesMaxReusedDomainRange: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },

    classesMoreThanOnceDomainRange: {
      type: Sequelize.INTEGER(11),
      allowNull: true,
      defaultValue: -1,
    },
    classesExensional: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    maxInstancesInClassesExtensional: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    avgInstancesInClassesExtensional: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    instances: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    instancesAPIimport: {
      type: Sequelize.INTEGER(11),
      allowNull: true,
      defaultValue: null,
    },
    complexity: {
      type: Sequelize.STRING(50),
      allowNull: false,
    },
    complexityBin: {
      type: Sequelize.TINYINT(4),
      allowNull: false,
      defaultValue: -1,
      comment:
        "1 mean bin 1, 2 means bin 2, 3 means bin 3, 4 means bin 4 according to [Wang06]",
    },
    avgSuperClasses: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
      comment: "== avgSubClasses",
    },
    avgSubClasses: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    axiomCount: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    GCICount: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    hiddenGCICount: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    imports: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    logicalAxioms: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    superclasses: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    subclasses: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    multipleInheritance: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    top_classes: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    leaf_classes: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    layers: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
    },
    axDisjoint: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    axDisjointUnion: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    axDifferent: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    axTransitiveProperty: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    axSymmetricProperty: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    axFunctionalDProperty: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    axFunctionalOProperty: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    axEquivalentClasses: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    axInverseOProperties: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    axInverseFunctionalOProperties: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    axSame: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    axAnnotationAssertion: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    labels: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
      comment: "number of rdfs:label",
    },
    comments: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
      comment: "number of rdfs:comment",
    },
    seeAlso: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
      comment: "number of rdfs:seeAlso",
    },
    isDefinedBy: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
      comment: "number of rdfs:isDefinedBy",
    },
    multilinguality: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    axClassAssertion: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    avgSuperClassesAPIimport: {
      type: Sequelize.INTEGER(11),
      allowNull: true,
      defaultValue: null,
    },
    axiomCountAPIimport: {
      type: Sequelize.INTEGER(11),
      allowNull: true,
      defaultValue: null,
    },
    GCICountAPIimport: {
      type: Sequelize.INTEGER(11),
      allowNull: true,
      defaultValue: null,
    },
    hiddenGCICountAPIimport: {
      type: Sequelize.INTEGER(11),
      allowNull: true,
      defaultValue: null,
    },
    importsAPIimport: {
      type: Sequelize.INTEGER(11),
      allowNull: true,
      defaultValue: null,
    },
    logicalAxiomsAPIimport: {
      type: Sequelize.INTEGER(11),
      allowNull: true,
      defaultValue: null,
    },
    superclassesAPIimport: {
      type: Sequelize.INTEGER(11),
      allowNull: true,
      defaultValue: null,
    },
    multipleInheritanceAPIimport: {
      type: Sequelize.INTEGER(11),
      allowNull: true,
      defaultValue: null,
    },
    axDisjointAPIimport: {
      type: Sequelize.INTEGER(11),
      allowNull: true,
      defaultValue: null,
    },
    axDisjointUnionAPIimport: {
      type: Sequelize.INTEGER(11),
      allowNull: true,
      defaultValue: null,
    },
    axDifferentAPIimport: {
      type: Sequelize.INTEGER(11),
      allowNull: true,
      defaultValue: null,
    },
    axTransitivePropertyAPIimport: {
      type: Sequelize.INTEGER(11),
      allowNull: true,
      defaultValue: null,
    },
    axSymmetricPropertyAPIimport: {
      type: Sequelize.INTEGER(11),
      allowNull: true,
      defaultValue: null,
    },
    axFunctionalDPropertyAPIimport: {
      type: Sequelize.INTEGER(11),
      allowNull: true,
      defaultValue: null,
    },
    axFunctionalOPropertyAPIimport: {
      type: Sequelize.INTEGER(11),
      allowNull: true,
      defaultValue: null,
    },
    axEquivalentClassesAPIimport: {
      type: Sequelize.INTEGER(11),
      allowNull: true,
      defaultValue: null,
    },
    axInverseOPropertiesAPIimport: {
      type: Sequelize.INTEGER(11),
      allowNull: true,
      defaultValue: null,
    },
    axInverseFunctionalOPropertiesAPIimport: {
      type: Sequelize.INTEGER(11),
      allowNull: true,
      defaultValue: null,
    },
    axSameAPIimport: {
      type: Sequelize.INTEGER(11),
      allowNull: true,
      defaultValue: null,
    },
    axAnnotationAssertionAPIimport: {
      type: Sequelize.INTEGER(11),
      allowNull: true,
      defaultValue: null,
    },
    axClassAssertionAPIimport: {
      type: Sequelize.INTEGER(11),
      allowNull: true,
      defaultValue: null,
    },
    axEquivalentDataProperties: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    axEquivalentObjectProperties: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    axDataPropertyDomain: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    axDataPropertyRange: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    axObjectPropertyDomain: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    axObjectPropertyRange: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    axDataPropertyAssertion: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    axObjectPropertyAssertion: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    axSubDataProperty: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    axSubObjectProperty: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    axSubClassOf: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    consistent: {
      type: Sequelize.TINYINT(1),
      allowNull: false,
      defaultValue: -1,
    },
    numberUnsatClasses: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    maxDepth: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    maxBreadth: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    avgDepth: {
      type: Sequelize.DOUBLE,
      allowNull: false,
    },
    avgBreadth: {
      type: Sequelize.DOUBLE,
      allowNull: false,
    },
    OWL2: {
      type: Sequelize.TINYINT(4),
      allowNull: true,
      defaultValue: null,
    },
    OWL2DL: {
      type: Sequelize.TINYINT(4),
      allowNull: true,
      defaultValue: null,
    },
    OWL2EL: {
      type: Sequelize.TINYINT(4),
      allowNull: true,
      defaultValue: null,
    },
    OWL2QL: {
      type: Sequelize.TINYINT(4),
      allowNull: true,
      defaultValue: null,
    },
    OWL2RL: {
      type: Sequelize.TINYINT(4),
      allowNull: true,
      defaultValue: null,
    },
    constructIntersection: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    constructUnion: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    constructComplement: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    constructSome: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    constructOnly: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    constructHasValue: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    constructMin: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    constructExact: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    constructMax: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    constructHasSelf: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    constructOneOf: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    c_paths: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    paths: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    psr_2: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    psr_3: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    psr_4: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    psr_5: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    psr_ont: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    avg_psr: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    c_paths_m: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    paths_m: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    psr_2_m: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    psr_3_m: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    psr_4_m: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    psr_5_m: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    psr_ont_m: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    avg_psr_m: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    entropy: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    maxEntropy: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    relEntropy: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    parenthoodness: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    v1: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    v2: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    v3: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    v4: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    v5: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    v_any: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    v1avg: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    v2avg: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    v3avg: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    v4avg: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    v5avg: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    v_any_avg: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    fc1: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    fc2: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    fc3: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    fc4: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    fc5: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    fc_any: {
      type: Sequelize.INTEGER(11),
      allowNull: false,
      defaultValue: -1,
    },
    fc1ratio: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    fc2ratio: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    fc3ratio: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    fc4ratio: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    fc5ratio: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
    fc_any_ratio: {
      type: Sequelize.DOUBLE,
      allowNull: false,
      defaultValue: -1,
    },
  },
  { timestamps: false, name: { singular: "ontology", plural: "ontologies" } }
);

module.exports = Ontologies;
</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Modules</h3><ul><li><a href="module-database.html">database</a></li><li><a href="module-models.html">models</a></li><li><a href="module-routes.html">routes</a></li><li><a href="module-util.html">util</a></li></ul><h3>Namespaces</h3><ul><li><a href="module-database-db.html">db</a></li><li><a href="module-models-ontologies.html">ontologies</a></li><li><a href="module-routes-router.html">router</a></li><li><a href="module-util-filters.html">filters</a></li><li><a href="module-util-imports.html">imports</a></li><li><a href="module-util-ranges.html">ranges</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.6</a> on Sun Apr 11 2021 17:28:06 GMT+0200 (stredoeurópsky letný čas)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
